Summary:        Read and write lzma compressed data
Name:           perl-IO-Compress-Lzma
Version:        2.206
Release:        2%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/IO-Compress-Lzma
Source0:        https://cpan.metacpan.org/modules/by-module/IO/IO-Compress-Lzma-%{version}.tar.gz

BuildRequires:  coreutils findutils make perl-generators
BuildRequires:  perl-interpreter perl(Config) perl(File::Copy)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 5.16	
BuildRequires:  perl(File::Spec::Functions) perl(lib)
BuildRequires:  perl(bytes) perl(constant) perl(Exporter)
BuildRequires:  perl(Compress::Raw::Lzma) >= %{version}
BuildRequires:  perl(IO::Compress::Base) >= %{version}
BuildRequires:  perl(IO::Compress::Base::Common) >= %{version}
BuildRequires:  perl(IO::Uncompress::Base) >= %{version}
BuildRequires:  perl(strict) perl(warnings)
BuildRequires:  perl(Carp) perl(File::Path) perl(File::Spec)
BuildRequires:  perl(Compress::Raw::Zlib) >= 2
BuildRequires:  perl(File::Temp) perl(IO::Compress::Zip)
BuildRequires:  perl(IO::Handle) perl(IO::File) perl(List::Util)
BuildRequires:  perl(IO::Uncompress::AnyUncompress) perl(Test::More)
BuildRequires:  perl(IO::Uncompress::Unzip) xz, xz-lzma-compat
Requires:       perl(:MODULE_COMPAT_%perl_version)

BuildArch:      noarch

%description
This module provides a Perl interface that allows writing lzma compressed 
data to files or buffer.For reading lzma files/buffers, see the companion 
module IO::Uncompress::UnLzma.

%prep
%autosetup -n IO-Compress-Lzma-%{version}

rm -rv t/Test/
perl -i -ne 'print $_ unless m{^t/Test/}' MANIFEST

chmod -c -x examples/*

perl -pi -e 's|^#!/usr/local/bin/perl\b|#!/usr/bin/perl|' \
	examples/lzcat examples/lzstream examples/xzcat examples/xzstream

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
make test COMPRESS_ZLIB_RUN_MOST=1

%files
%doc Changes README examples/*
%{perl_vendorlib}/IO/
%{_mandir}/man3/IO::Compress::Lzip.3*
%{_mandir}/man3/IO::Compress::Lzma.3*
%{_mandir}/man3/IO::Compress::Xz.3*
%{_mandir}/man3/IO::Uncompress::UnLzip.3*
%{_mandir}/man3/IO::Uncompress::UnLzma.3*
%{_mandir}/man3/IO::Uncompress::UnXz.3*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.206-2
- Rebuilt for loongarch release

* Wed Jan 03 2024 Upgrade Robot <upbot@opencloudos.org> - 2.206-1
- Upgrade to version 2.206

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.101-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.101-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.101-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Aug 19 2022 Wang Zhe <bessiewang@tencent.com> - 2.101-1
- initial build
